<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
      /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [ //register commands here
        \App\Console\Commands\LoanCron1d::class,
        \App\Console\Commands\LoanCron30m::class,
    ];
    protected function schedule(Schedule $schedule)
    {
        // $schedule->command('inspire')->hourly();
        $schedule->command('loan:cron1d')->dailyAt("12:00")->timezone("UTC");
        //$schedule->command('loan:cron30m')->everyThirtyMinutes();
        $schedule->command('loan:cron30m')->cron("*/30 * * * *");
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
