<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Loan;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index1()
    {
        return view('home.index');
    }
    
    public function index()
    {
        //$stats = Loans::select("status",DB::Raw("COUNT(id) as count"))->groupBy("status")->get();
        $activeStats = Loan::where("status","active")->count();
        $completedStats = Loan::where("status","completed")->count();
        $expiredStats = Loan::where("status","expired")->count();
        $pendingStats = Loan::where("status","pending")->count();
        $rejectedStats = Loan::where("status","rejected")->count();
        
        return view('home.dashboard',[
            "activeStats"=>$activeStats,
            "completedStats"=>$completedStats,
            "expiredStats"=>$expiredStats,
            "pendingStats"=>$pendingStats,
            "rejectedStats"=>$rejectedStats,
        ]);
    }
    
    public function profile()
    {
        return view('users.profile',[]);
    }
    
    public function Saveprofile(Request $request)
    {
        $user = User::find($request->id);
        $user->name = $request->name;
        $user->phone = $request->phone;
        if($request->newpassword!='')
        {
            $user->password = bcrypt($request->newpassword);
        }
        if($user->save())
        {
            
            echo "1";
        }
        else
        {
            echo "0";
        }
        return "";
    }
    
}
