<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use App\Models\User;
use Yajra\Datatables\Datatables;
use App\Models\UserMobileProfile;
use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;
use App\Http\Requests\StoreUserRequest;
use App\Http\Requests\UpdateUserRequest;
use App\Models\Promotion;
use App\Models\Contact;
use App\Models\MobUserLocation;
use App\Models\LoanPackage;
use App\Models\Loan;
use App\Models\LoanInstallment;
use App\Models\Notification;
use App\Models\Setting;
use Carbon\Carbon;
use Auth;
use DB;

class LoanController extends Controller
{
    
    function __construct()
    {
        $this->middleware(function ($request, $next){ 
         $user = User::find(Auth::User()->id);
        if($user->hasPermissionTo('loans'))
        {
            return $next($request);
        }else
        {
            return abort(401);
        }
        //return $next($request);
       });
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view("loans.list",[]);
        //
    }
    
    public function installments(Request $request)
    {
         return view("loans.installments",["id"=>$request->id]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    public function tableList()
    {
        //dd(User::with('role')->get()->toArray());
        //$users = User::where("user_type",'web');
        $promos = Loan::Join("users","users.id",'=','loans.user_id')->where("loans.id",'!=','')->select('users.name',"users.email","loans.*");
       // $users = User::join("model_has_roles","model_has_roles.modal_id",'=',"users.id")->where("users.user_type",'web');
            return Datatables::of($promos)    
            ->addColumn('action', function ($user) {

                 //$hidetake = "display:none;";
                 $hidetake = "";
                $installmentUrl = url('loans-installments')."?id=".$user->id;
                $chk = ($user->status=='1') ? "checked":"";
                $b="";
                if($user->status!='completed' && $user->status!='rejected')
                    $b .= '<a  href="javascript:;" onclick="edit_entry('.$user->id.')" title="Change status" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a> ';
                
                $b.= '<a  href="'.$installmentUrl.'" title="View Installments" class="btn btn-sm btn-info info-alert"><i class="fa fa-solid fa-align-justify"></i></a> ';                                
                
                
                
                //$b.='<div class="my_switch make-switch"> <input type="checkbox" name="user_st" value="'.$user->id.'" checked /></div>';
                return $b;
            })
            ->editColumn('status',function($camp) {
                
              if($camp->status=='active')
              {
                return "<span class='badge badge-info'>$camp->status</span>";
              }
              if($camp->status=='rejected')
              {
                return "<span class='badge badge-danger'>$camp->status</span>";
              }
              if($camp->status=='completed')
              {
                return "<span class='badge badge-success'>$camp->status</span>";
              }
              if($camp->status=='pending')
              {
                return "<span class='badge badge-warning'>$camp->status</span>";
              }
              if($camp->status=='expired')
              {
                return "<span class='badge badge-danger'>$camp->status</span>";
              }
              //return $camp->service_fees;
            })
            
            ->rawColumns(['action','status'])
           // ->removeColumn('status')
            ->make(true);
    }
    
    public function loanStatus(Request $request)
    {
        $loan = Loan::find($request->loan_id);
        $setting = Setting::first();
        $user = User::where("id",$loan->user_id)->first();  
        $current_Status = $loan->status;
        $loan->status = $request->status;
        //$package = Loan::where("id",$loan->loan_id)->value("package_id");
        $package = LoanPackage::where("id",$loan->package_id)->value("name");
        if($request->status=='rejected')
        {
            $loan->rejected_reason = $request->rejected_reason;
            $loan->rejected_date = Carbon::now('UTC');
            $setting->loan_rejected_msg = str_replace("%reason%",$request->rejected_reason,$setting->loan_rejected_msg);            
            $this->saveNoti($package,$setting->loan_rejected_msg,$user->device_token,$user);
        }
        if($request->status=='active')
        {
            if($current_Status!='active')
            {
                $loan->approved_date = Carbon::now('UTC');
                $ins = LoanInstallment::where("loan_id",$request->loan_id)->get();
                foreach($ins as $instalment)
                {
                    $instalment->expiry_date = Carbon::now('UTC')->addMonths($instalment->month);
                    $instalment->save();
                }
                $this->saveNoti($package,$setting->loan_active_msg,$user->device_token,$user);
            }
            //expiry_date
        }
        if($request->status=='completed')
        {
            $loan->	completed_date = Carbon::now('UTC');
            $this->saveNoti($package,$setting->loan_completed_msg,$user->device_token,$user);
        }
        if($request->status=='expired')
        {
            $loan->expired_date = Carbon::now('UTC');
            $this->saveNoti($package,$setting->loan_expire_msg,$user->device_token,$user);
        }
        
        if($loan->save())
        {
            echo "1";
        }else
        {
            echo "0";
        }
        return "";
        
    }
    
    public function installmentStatus(Request $request)
    {
        $setting = Setting::first();
        $loanIns = LoanInstallment::find($request->id);
        $loanIns->installment_status = $request->installment_status;
         $user_id = Loan::where("id",$loanIns->loan_id)->value("user_id");
         $user = User::where("id",$user_id)->first();     
         $package = Loan::where("id",$loanIns->loan_id)->value("package_id");
         $package = LoanPackage::where("id",$package)->value("name");
        
        $alldone = false;
        if($loanIns->save())
        {
            $totalins = LoanInstallment::where("loan_id",$loanIns->loan_id)->count();
            $completedIns = LoanInstallment::where("loan_id",$loanIns->loan_id)->where("installment_status","completed")->count();
            if($totalins==$completedIns)
            {
                
                $alldone = true;
                Loan::where("id",$loanIns->loan_id)->update(['status'=>"completed","completed_date"=>Carbon::now('UTC')]);
                       
                //$this->saveNoti($package,"All your loan installments are clear now.",$user->device_token,$user);
                $this->saveNoti($package,$setting->loan_completed_msg,$user->device_token,$user);
            }
            
            if($alldone==false)
            {
                if($request->installment_status=='completed')
                {
                     $loanIns->payment_date = Carbon::now('UTC');
                       
                     $this->saveNoti($package,$setting->loan_installment_completed_msg,$user->device_token,$user);
                }
            }
            
            if($request->installment_status=='expired')
            {
                Loan::where("id",$loanIns->loan_id)->update(['status'=>"expired","expired_date"=>Carbon::now('UTC')]);
                
                
               // $this->saveNoti("Loan status alert","Your Loan package $package is expired now.",$user->device_token,$user);
               $this->saveNoti($package,$setting->loan_expire_msg,$user->device_token,$user);
            }
            echo "1";
        }else
        {
            echo "0";
        }
        return "";
        
    }
    
    public function saveNoti($title,$body,$to,$user)
    {
                $noti = new Notification;
                $noti->user_id = $user->id;
                $noti->title = $title;//"Loan status alert";
                $noti->body = $body;//"All your loan installments are clear now.";
                if($noti->save())
                {
                    $this->PushNotification($noti->title,$noti->body,$to);
                }
    }
    
    public function tableinstallmentList(Request $request)
    {
        //dd(User::with('role')->get()->toArray());
        //$users = User::where("user_type",'web');
        $promos = LoanInstallment::Join("loans","loans.id",'=','loan_installments.loan_id')->where("loan_installments.loan_id",'=',$request->id)->select('loans.payment_amount',"loan_installments.*");
       // $users = User::join("model_has_roles","model_has_roles.modal_id",'=',"users.id")->where("users.user_type",'web');
            return Datatables::of($promos)    
            ->addColumn('action', function ($user) {

                 //$hidetake = "display:none;";
                 $hidetake = "";
                $b = "";        
                $chk = ($user->status=='1') ? "checked":"";
                if($user->installment_status!='completed')
                    $b .= '<a  href="javascript:;" onclick="edit_entry('.$user->id.')" title="Change status" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a> ';
                //$b.= '<a onclick="del_client('.$user->id.')" href="javascript:;" class="btn btn-sm btn-danger danger-alert"><i class="fa fa-trash"></i></a> ';                                
                
                
                
                //$b.='<div class="my_switch make-switch"> <input type="checkbox" name="user_st" value="'.$user->id.'" checked /></div>';
                return $b;
            })
             ->editColumn('payment_date',function($camp) {
                return $date = Carbon::parse($camp->payment_date)->format("Y-m-d h:i a");
              
            })
             ->editColumn('expiry_date',function($camp) {
                return $date = Carbon::parse($camp->expiry_date)->format("Y-m-d h:i a");
             // return $camp->expiry_date->format("Y-m-d h:i a");
            })
            ->editColumn('installment_status',function($camp) {
                
              if($camp->installment_status=='completed')
              {
                return "<span class='badge badge-success'>$camp->installment_status</span>";
              }
              if($camp->installment_status=='pending')
              {
                return "<span class='badge badge-warning'>$camp->installment_status</span>";
              }
              if($camp->installment_status=='expired')
              {
                return "<span class='badge badge-danger'>$camp->installment_status</span>";
              }
              //return $camp->service_fees;
            })
            
            ->rawColumns(['action','installment_status'])
           // ->removeColumn('status')
            ->make(true);
    }
    
    public function PushNotification($title,$body,$to)
    {
        $icon = "logo";
        $serverKey = "Key=AAAAMM6LD1Q:APA91bEXDnVe_Cy3z8Ki0DIM1QQtmSoXQxrwrh5G0DAp3OLJuDVT9qscQ8TXHZdSUdNzJEqJdlUkg-DQnhQaaKB_sr66tdtku-4FIMsyrFKya8pJcoOJqE9V_pA5brU-OzgIz-s9LCGj";
        $curl = curl_init();

             curl_setopt_array($curl, array(
              CURLOPT_URL => 'https://fcm.googleapis.com/fcm/send',
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => '',
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 0,
              CURLOPT_FOLLOWLOCATION => true,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => 'POST',
              CURLOPT_POSTFIELDS =>'{
                
                    "notification": {
                        "body": "'.$body.'",
                        "title": "'.$title.'",
                        "badge":1,
                        "priority":"high",
                        "sound":"default",
                        "android_channel_id":"acecredit-loans",
                        "icon":"'.$icon.'"
                     },
                 "to": "'.$to.'"
            }',
              CURLOPT_HTTPHEADER => array(
                'Authorization: '.$serverKey,
                'Content-Type: application/json'
              ),
            ));
            
            $response = curl_exec($curl);
            
            curl_close($curl);
           // echo $response;
    }
    
    
    public function LoanCron1Daybefore()
    {
        mail("unique.munda7@gmail.com","12 pm Cron","Yes Working");
        $setting = Setting::first();
        //->dailyAt('13:00');
        $nextDay = Carbon::now('UTC')->addDay()->format("Y-m-d");
        
        $ins = LoanInstallment::join("loans","loans.id","=","loan_installments.loan_id")
        ->where("loans.status","active")
        ->whereRaw("DATE(loan_installments.expiry_date)='$nextDay'")
        ->select("loan_installments.*","loans.id as lid","loans.package_id","loans.user_id")
        ->get();
        
        if($ins)
        {
            foreach($ins as $installment)
            {
                $package = LoanPackage::where("id",$installment->package_id)->value("name");
                $user = User::where("id",$installment->user_id)->first();     
                $this->saveNoti($package,$setting->oneday_reminder_msg,$user->device_token,$user);
            }
        }
    }
    
    public function LoanCron30min()
    {
        mail("unique.munda7@gmail.com","30 min Cron","Yes Working");
        $setting = Setting::first();
        //->dailyAt('13:00');
        $current_Date = Carbon::now('UTC')->format("Y-m-d H:i");;
        
        $ins = LoanInstallment::join("loans","loans.id","=","loan_installments.loan_id")
        ->where("loans.status","active")
        //->whereRaw("DATE(loan_installments.expiry_date)='$nextDay'")
        ->whereRaw("'$current_Date' >= DATE_ADD(FROM_UNIXTIME(((UNIX_TIMESTAMP(loan_installments.expiry_date) + 450) DIV 900) * 900), INTERVAL -30 MINUTE)
                    and
                    '$current_Date' <= DATE_ADD(FROM_UNIXTIME(((UNIX_TIMESTAMP(loan_installments.expiry_date) + 450) DIV 900) * 900), INTERVAL -10 MINUTE)
        ")
        ->select("loan_installments.*","loans.id as lid","loans.package_id","loans.user_id")
        ->get();
        
        if($ins)
        {
            foreach($ins as $installment)
            {
                $package = LoanPackage::where("id",$installment->package_id)->value("name");
                $user = User::where("id",$installment->user_id)->first();     
                $this->saveNoti($package,$setting->min_reminder_msg,$user->device_token,$user);
            }
        }
    }
}
