<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;
use App\Models\User;
use App\Models\LoanPackage;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Yajra\Datatables\Datatables;
use DB;

class LoanPackageController extends Controller
{
    function __construct()
    {
        $this->middleware(function ($request, $next){ 
         $user = User::find(Auth::User()->id);
        if($user->hasPermissionTo('loan-packages'))
        {
            return $next($request);
        }else
        {
            return abort(401);
        }
        //return $next($request);
       });
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        
        return view("loanpackages.list",[]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $promo = new LoanPackage;
        if($request->pkgid!='')
        {
            $promo = $promo->findOrFail($request->pkgid);
        }
        $promo->fill($request->all());
        if($request->pkgid=='')
        {
            $promo->user_id=Auth::User()->id;
        }
        
        if($promo->save())
        {
            echo "1";
        }else
        {
            echo "0";
        }
        return "";
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        return LoanPackage::find($id);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    public function delPackage(Request $request)
    {
        if($request->id!='')
        {
            $us = LoanPackage::where("id",$request->id)->delete();
            if($us)
            {
                echo "1";
            }else
            {
                echo "0";
            }
            
        }
        return "";
    }
    
    public function tableList()
    {
        //dd(User::with('role')->get()->toArray());
        //$users = User::where("user_type",'web');
        $promos = LoanPackage::where("id",'!=','');
       // $users = User::join("model_has_roles","model_has_roles.modal_id",'=',"users.id")->where("users.user_type",'web');
            return Datatables::of($promos)    
            ->addColumn('action', function ($user) {

                 //$hidetake = "display:none;";
                 $hidetake = "";
      
                $chk = ($user->status=='1') ? "checked":"";
                $b = '<a  href="javascript:;" onclick="edit_entry('.$user->id.')" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a> ';
                $b.= '<a onclick="del_client('.$user->id.')" href="javascript:;" class="btn btn-sm btn-danger danger-alert"><i class="fa fa-trash"></i></a> ';                                
                
                
                
                //$b.='<div class="my_switch make-switch"> <input type="checkbox" name="user_st" value="'.$user->id.'" checked /></div>';
                return $b;
            })
            
            ->editColumn('created_at',function($camp) {
                
              return $camp->created_at->format("Y-m-d h:i a");
            })
            ->editColumn('service_fees',function($camp) {
                
                if($camp->service_fee_unit=='percentage')
                {
                    return $camp->service_fees."%";
                }
              return $camp->service_fees;
            })
            ->editColumn('gateway_fees',function($camp) {
                
              if($camp->gateway_fee_unit=='percentage')
                {
                    return $camp->gateway_fees."%";
                }
              return $camp->service_fees;
            })
            ->editColumn('system_fees',function($camp) {
                
              if($camp->system_fee_unit=='percentage')
                {
                    return $camp->system_fees."%";
                }
              return $camp->service_fees;
            })
            ->editColumn('underwriting_fees',function($camp) {
                
              if($camp->underwriting_fee_unit=='percentage')
                {
                    return $camp->underwriting_fees."%";
                }
              return $camp->service_fees;
            })
            ->rawColumns(['action'])
           // ->removeColumn('status')
            ->make(true);
    }
}
