@extends('layouts.app')

@section('content') 
    <link href="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet">  
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Loan Packages</h1>
            <button   type="button" 
            class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"   
            data-toggle="modal" data-target="#exampleModal" >
            <i class="fas fa-plus fa-sm text-white-50"></i>
             Add package
            </button>
    </div>
    <div class="row">
    
        <div class="col-md-12 col-lg-12">
                <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Packages List</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                 <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Name</th>
                                                <th>Package Min amount</th>
                                                <th>Package Max amount</th>
                                                <th>Interest %</th>
                                                <th>Service fees</th>
                                                <th>Gateway fees</th>
                                                <th>System fees</th>
                                                <th>Underwriting fees</th>
                                                <th>Created Date</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                        </div>
                    </div>
        </div>
    </div>
    
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Save package</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="package_form">
            @csrf
            <input type="hidden" name="pkgid" value="" />
              <div class="form-group">
                <label for="name" class="col-form-label">Package Name:</label>
                <input required="" type="text" name="name" class="form-control" id="name" />
              </div>
              <div class="form-group">
                <label for="total_amount" class="col-form-label">Package amount:</label>
                
                    <div class="input-daterange input-group" id="date-range">
                        <input type="number" placeholder="min" class="form-control" name="package_min_amount">
                        <span class="input-group-addon bg-custom text-white b-0">-</span>
                        <input type="number" placeholder="max" class="form-control" name="package_max_amount">
                    </div>
              </div>
              <div class="form-group">
                <label for="total_amount" class="col-form-label">Time Period:</label>
                
                    <div class="input-daterange input-group" id="date-range">
                        <input type="number" class="form-control" placeholder="min months" name="period_min">
                        <span class="input-group-addon bg-custom text-white b-0">-</span>
                        <input type="number" class="form-control" placeholder="max months" name="period_max">
                    </div>
              </div>
              
               
              <div class="form-group">
                <label for="interest" class="col-form-label">Interest(per month):</label>
                <input required="" type="number" step=".01" name="interest" class="form-control" id="interest" />
              </div>
              <div class="form-row ">
                  <div class="form-group col-md-6">
                    <label for="service_fees" class="col-form-label">Servis fees:</label>
                    <input required="" type="number" step=".01" name="service_fees" class="form-control" id="service_fees" />
                    
                  </div>
                  <div class="form-group col-md-6">
                    <label for="service_fees" class="col-form-label">Servis fee unit:</label>
                    <select required name="service_fee_unit" class="form-control">
                        <option value="fix">Fix</option>
                         <option value="percentage">Percentage</option>
                    </select>
                  </div>
              </div>
              <div class="form-row ">
                  <div class="form-group col-md-6">
                    <label for="gateway_fees" class="col-form-label">Gateway fees:</label>
                    <input required="" type="number" step=".01" name="gateway_fees" class="form-control" id="gateway_fees" />
                  </div>
                  <div class="form-group col-md-6">
                    <label for="gateway_fee_unit" class="col-form-label">Gateway fee unit:</label>
                    <select required name="gateway_fee_unit" class="form-control">
                        <option value="fix">Fix</option>
                         <option value="percentage">Percentage</option>
                    </select>
                  </div>
              </div>
              <div class="form-row ">
                  <div class="form-group col-md-6">
                    <label for="system_fees" class="col-form-label">System fees:</label>
                    <input required="" type="number" step=".01" name="system_fees" class="form-control" id="system_fees" />
                  </div>
                  <div class="form-group col-md-6">
                    <label for="system_fee_unit" class="col-form-label">System fee unit:</label>
                    <select required name="system_fee_unit" class="form-control">
                        <option value="fix">Fix</option>
                         <option value="percentage">Percentage</option>
                    </select>
                  </div>
              </div>
              <div class="form-row ">
                  <div class="form-group col-md-6">
                    <label for="underwriting_fees" class="col-form-label">Underwriting fees:</label>
                    <input required="" type="number" step=".01" name="underwriting_fees" class="form-control" id="underwriting_fees" />
                  </div>
                  <div class="form-group col-md-6">
                    <label for="underwriting_fee_unit" class="col-form-label">Underwriting fee unit:</label>
                    <select required name="underwriting_fee_unit" class="form-control">
                        <option value="fix">Fix</option>
                         <option value="percentage">Percentage</option>
                    </select>
                  </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button form="package_form" type="submit" class="btn btn-primary">Save</button>
          </div>
        </div>
      </div>
    </div>
@endsection

@section('script')
<script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<script src="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.js') }}"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover package!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delPackage') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! promotion successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}

function edit_entry(id)
{
    blockUI();
    $.get("{{ url('loan-packages') }}/"+id+"/edit",function(res){
        $.unblockUI();
        $("input[name='name']").val(res.name);
        $("input[name='pkgid']").val(res.id);
        $("input[name='package_max_amount']").val(res.package_max_amount); 
        $("input[name='package_min_amount']").val(res.package_min_amount); 
        $("input[name='period_min']").val(res.period_min); 
        $("input[name='period_max']").val(res.period_max); 
        $("input[name='interest']").val(res.interest);
        $("input[name='service_fees']").val(res.service_fees);
        $("input[name='gateway_fees']").val(res.gateway_fees);
        $("input[name='system_fees']").val(res.system_fees);
        $("input[name='underwriting_fees']").val(res.underwriting_fees);
        
        $("select[name='underwriting_fee_unit']").val(res.underwriting_fee_unit);
        $("select[name='system_fee_unit']").val(res.system_fee_unit);
        $("select[name='gateway_fee_unit']").val(res.gateway_fee_unit);
        $("select[name='service_fee_unit']").val(res.service_fee_unit);
        gateway_fees
        $("#exampleModal").modal('show');
    })
}
$(document).ready(function(){

        
$('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('getpackages') !!}",
                    columns: [
                        { data: 'id', name: 'id' },
                        { data: 'name', name: 'name' },
                        { data: 'package_min_amount', name: 'package_min_amount' },
                        { data: 'package_max_amount', name: 'package_max_amount' },
                        { data: 'interest', name: 'interest' },
                        { data: 'service_fees', name: 'service_fees' },
                        { data: 'gateway_fees', name: 'gateway_fees' },
                        { data: 'system_fees', name: 'system_fees' },
                        { data: 'underwriting_fees', name: 'underwriting_fees' },
                        { data: 'created_at', name: 'created_at' },
                        { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
                
                
                
$("#package_form").submit(function(){
        blockUI();
        $.post('{{ route("loan-packages.store") }}',$(this).serialize(),function(res){
            $.unblockUI();
            if(res=='1')
            {
                $("#package_form")[0].reset();
                $("#exampleModal").modal('hide');
                swal("Done! Package successfully saved!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while saving!", {
                    icon: "error",
                });
            }
        });
        return false;
       });         
        
    });
</script>
@endsection
