@extends('layouts.app')

@section('content') 
    <link href="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet">  
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Installments</h1>
            
    </div>
    <p class="mb-4">
           <strong> Loan ID : {{$id}}</strong>
           <?php
            $loan = \App\Models\Loan::find($id);
           ?>
           <strong> Email : {{\App\Models\User::where("id",$loan->user_id)->value('email')}}</strong>
    </p>
        
    <div class="row">
    
        <div class="col-md-12 col-lg-12">
                <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Installmetns List</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                 <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Installments amount(MYR)</th>
                                                <th>Status</th>
                                                <th>Expiry Date</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                        </div>
                    </div>
        </div>
    </div>
    
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Change loan status</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="package_form">
            @csrf
            <input type="hidden" name="id" value="" />
            
              <div class="form-group">
              
                    <label for="service_fees" class="col-form-label">Select Status:</label>
                    <select  required name="installment_status" class="form-control">
                         <option value="expired">Expired</option>
                         <option value="completed">Completed</option>
                    </select>
                  
              </div>
              
              
              
               
              <div class="form-group" style="display: none;" id="reject_reason">
                <label for="interest" class="col-form-label">Rejection reason:</label>
                    <textarea class="form-control" name="rejected_reason"></textarea>
              </div>
              
              
             
              
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button form="package_form" type="submit" class="btn btn-primary">Save</button>
          </div>
        </div>
      </div>
    </div>
@endsection

@section('script')
<script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<script src="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.js') }}"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover package!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delPackage') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! promotion successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}

function edit_entry(id)
{
    $("#package_form")[0].reset();
    $('#reject_reason').hide();
    $('input[name="id"]').val(id);
        
        $("#exampleModal").modal('show');
    
}
$(document).ready(function(){

        
$('#dataTable').DataTable({
                    "order": [[ 0, 'asc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('getInstallments') !!}?id={{ $id }}",
                    columns: [
                        { data: 'id', name: 'loan_installments.id' },
                        { data: 'payment_amount', name: 'loans.payment_amount' },
                        { data: 'installment_status', name: 'loan_installments.installment_status' },
                        { data: 'expiry_date', name: 'loan_installments.expiry_date' },
                        { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
                
                
                
$("#package_form").submit(function(){
    if($('select[name="installment_status" ]').val()=='')
    {
        
            swal("Info! Please selected status!", {
                    icon: "info",
                });
        
    }
        blockUI();
        $.post('{{ route("installmentStatus") }}',$(this).serialize(),function(res){
            $.unblockUI();
            if(res=='1')
            {
                $("#package_form")[0].reset();
                $("#exampleModal").modal('hide');
                swal("Done! installment status saved!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while saving!", {
                    icon: "error",
                });
            }
        });
        return false;
       });         
        
    });
</script>
@endsection
