@extends('layouts.app')

@section('content') 
    <link href="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet">  
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Mobile app promotions</h1>
            <button   type="button" 
            class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"   
            data-toggle="modal" data-target="#exampleModal" >
            <i class="fas fa-plus fa-sm text-white-50"></i>
             Add promotion
            </button>
    </div>
    <div class="row">
    
        <div class="col-md-12 col-lg-12">
                <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Promotions List</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                 <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Title</th>
                                                <th>Created Date</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                        </div>
                    </div>
        </div>
    </div>
    
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">New message</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="promo_form">
            @csrf
            <input type="hidden" name="promoid" value="" />
              <div class="form-group">
                <label for="promoTitle" class="col-form-label">Title:</label>
                <input required="" type="text" name="title" class="form-control" id="promoTitle">
              </div>
              <div class="form-group">
                <label for="description" class="col-form-label">Description:</label>
                <textarea required="" name="description" class="form-control" id="description"></textarea>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button form="promo_form" type="submit" class="btn btn-primary">Save</button>
          </div>
        </div>
      </div>
    </div>
@endsection

@section('script')
<script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<script src="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.js') }}"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover promotion!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delPromo') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! promotion successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}

function edit_entry(id)
{
    blockUI();
    $.get("{{ url('promotions') }}/"+id+"/edit",function(res){
        $.unblockUI();
        $("input[name='name']").val(res.name);
        $("input[name='pkgid']").val(res.id);
        $("input[name='total_amount']").val(res.total_amount);
        $("input[name='service_fees']").val(res.service_fees);
        $("input[name='gateway_fees']").val(res.gateway_fees);
        $("input[name='system_fees']").val(res.system_fees);
        $("input[name='underwriting_fees']").val(res.underwriting_fees);
        $("#exampleModal").modal('show');
    })
}
    $(document).ready(function(){
        
        $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('getPromos') !!}",
                    columns: [
                        { data: 'id', name: 'id' },
                        { data: 'title', name: 'title' },
                        { data: 'created_at', name: 'created_at' },
                        { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
                
                
                
       $("#promo_form").submit(function(){
        blockUI();
        $.post('{{ route("promotions.store") }}',$(this).serialize(),function(res){
            $.unblockUI();
            if(res=='1')
            {
                $("#promo_form")[0].reset();
                $("#exampleModal").modal('hide');
                swal("Done! promotion successfully saved!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while saving!", {
                    icon: "error",
                });
            }
        });
        return false;
       });         
        
    });
</script>
@endsection
