<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use App\Models\User;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::group(['namespace' => 'App\Http\Controllers\api'], function()
{
    Route::post('/register','UsersController@register');
    Route::post('/login','UsersController@login');
    
    Route::group(['middleware' => ['auth:sanctum'] ],function(){
    
        Route::get("/logout","UsersController@logout");
        Route::get('/mobile-profile','UsersController@getMobprofile' );
        Route::post('/mobile-profile','UsersController@saveMobprofile' );
        Route::post('/upload-attachment','UsersController@uploadAttachment' );
        
        Route::get('/get-promotions','RestController@getPromos');
        Route::get('/get-packages','RestController@getPackages');
        
        Route::post('/save-contacts','RestController@saveContacts');
        Route::post('/get-location','RestController@saveLocation');
        
        
        Route::post('apply-loan',"RestController@applyLoan");
        
        Route::get('/get-loans','RestController@getLoans');
        
        Route::get('/get-notifications','RestController@getNotis');
    });
    
});



Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
