<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect("/login");
    return view('welcome');
});
Route::get('loans-cron1d','App\Http\Controllers\LoanController@LoanCron1Daybefore');
Route::get('loans-cron30m','App\Http\Controllers\LoanController@LoanCron30min');

Route::get('check-roles',function(){
    
    dd(\App\Models\User::with('roles')->get());
});

Auth::routes();

Route::group(['namespace' => 'App\Http\Controllers'], function(){

    //Route::middleware(['auth'],function(){
    Route::group(['middleware' => 'auth'],function(){
        
        Route::get('/home', 'HomeController@index')->name('home.index');
        //Route::get('/', 'HomeController@index')->name('home.index');
        Route::get('/profile', 'HomeController@profile');
        Route::post('/save-profile', 'HomeController@saveProfile')->name('saveProfile');
    
        Route::get('/logout', function(){})->name('logout.perform');
        
        Route::group(['prefix' => 'users'], function() {
                    Route::get('/', 'UsersController@index')->name('users.index');
                    Route::get('/create', 'UsersController@create')->name('users.create');
                    Route::post('/create', 'UsersController@store')->name('users.store');
                    Route::get('/{user}/show', 'UsersController@show')->name('users.show');
                    Route::get('/{user}/edit', 'UsersController@edit')->name('users.edit');
                    Route::patch('/{user}/update', 'UsersController@update')->name('users.update');
                    Route::delete('/{user}/delete', 'UsersController@destroy')->name('users.destroy');
                    Route::get("/users-list",'UsersController@tableList')->name('getUsers');
                    Route::get("/del-user",'UsersController@DelUser')->name('delUser');
                    
                });
                
        Route::group(['prefix' => 'posts'], function() {
                    Route::get('/', 'PostsController@index')->name('posts.index');
                    Route::get('/create', 'PostsController@create')->name('posts.create');
                    Route::post('/create', 'PostsController@store')->name('posts.store');
                    Route::get('/{post}/show', 'PostsController@show')->name('posts.show');
                    Route::get('/{post}/edit', 'PostsController@edit')->name('posts.edit');
                    Route::patch('/{post}/update', 'PostsController@update')->name('posts.update');
                    Route::delete('/{post}/delete', 'PostsController@destroy')->name('posts.destroy');
                });
                
         //system roles       
        Route::resource('roles', RolesController::class);
        Route::get('del-role','RolesController@delRole')->name("delRole");
        Route::get('roles-list','RolesController@tableList')->name("getRoles");
        
        //system permissions
        Route::resource('permissions', PermissionsController::class);
        
        
        // mobile app promotions resource
        Route::resource('promotions', PromotionController::class);
        Route::get('del-promo','PromotionController@delPromo')->name("delPromo");
        Route::get('promos-list','PromotionController@tableList')->name("getPromos");
        
        
        // mobile app loan packages resource
        Route::resource('loan-packages', LoanPackageController::class);
        Route::get('del-package','LoanPackageController@delPackage')->name("delPackage");
        Route::get('packages-list','LoanPackageController@tableList')->name("getpackages");
        
        
        //mobile app users
        Route::get('mob-users','UsersController@mobUsers');
        Route::get("/mob-users-list",'UsersController@tablemobList')->name('getmobUsers');
        Route::post("/save-mob-user",'UsersController@saveMobUser')->name('saveMobUser');
        Route::get('get-mob-user','UsersController@getmobUser')->name('getmobUser');
        Route::get('mob-user-profile','UsersController@mobUserprofile')->name('mobUserprofile');
        Route::get('user-contacts','UsersController@mobUsercontacts')->name('mobUsercontacts');
        Route::get('user-contacts-list','UsersController@tableconList')->name('tableconList');
        
        //loans
        Route::resource('loans', LoanController::class);
        Route::get('loans-list','LoanController@tableList')->name("getLoans");
        Route::post('loan-status','LoanController@loanStatus')->name("loanStatus");
        Route::get('loans-installments','LoanController@installments');
        Route::get('loans-installments-list','LoanController@tableinstallmentList')->name("getInstallments");
        Route::post('loans-installments-status','LoanController@installmentStatus')->name("installmentStatus");
        
        //Settings
        Route::resource('setting', SettingController::class);
        
        
        
        
        
    });
        

});