<?php $__env->startSection('content'); ?>

    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Add a new user</h1>
            
    </div>
    <div class="row">
        <div class="col-md-12 col-lg-12">
                <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">User Form</h6>
                        </div>
                        <div class="card-body">
                            <form method="POST" action="">
                            <?php echo csrf_field(); ?>
                            <div class="mb-3">
                                <label for="name" class="form-label">Name</label>
                                <input value="<?php echo e(old('name')); ?>" 
                                    type="text" 
                                    class="form-control" 
                                    name="name" 
                                    placeholder="Name" required>
            
                                <?php if($errors->has('name')): ?>
                                    <span class="text-danger text-left"><?php echo e($errors->first('name')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3">
                                <label for="email" class="form-label">Email</label>
                                <input value="<?php echo e(old('email')); ?>"
                                    type="email" 
                                    class="form-control" 
                                    name="email" 
                                    placeholder="Email address" required>
                                <?php if($errors->has('email')): ?>
                                    <span class="text-danger text-left"><?php echo e($errors->first('email')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3">
                                <label for="email" class="form-label">Password</label>
                                <input value="<?php echo e(old('password')); ?>"
                                    type="password" 
                                    class="form-control" 
                                    name="password" 
                                    placeholder="Password" required>
                                <?php if($errors->has('password')): ?>
                                    <span class="text-danger text-left"><?php echo e($errors->first('password')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3">
                                <label for="role" class="form-label">Role</label>
                                <select class="form-control" 
                                    name="role" required>
                                    <option value="">Select role</option>
                                    <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($role->id); ?>"><?php echo e($role->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('role')): ?>
                                    <span class="text-danger text-left"><?php echo e($errors->first('role')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3 float-end text-right">
                                
                                <button type="submit" class="btn btn-primary float-end">Save user</button>
                                <a href="<?php echo e(route('users.index')); ?>" class="btn btn-default float-end">Back</a>
                             </div>
                        </form>
                        </div>
                    </div>
        </div>
    </div>
    
    
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/itactcxg/public_html/acecredit/resources/views/users/create.blade.php ENDPATH**/ ?>