<?php $__env->startSection('content'); ?>

<div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Edit role and manage permissions</h1>
            
    </div>
<div class="row">
    <div class="mt-2">
            <?php echo $__env->make('layouts.partials.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <div class="col-md-12 col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Roles List</h6>
                </div>
                <div class="card-body">
                        <?php if(count($errors) > 0): ?>
                            <div class="alert alert-danger">
                                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                                <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
            
                        <form method="POST" action="<?php echo e(route('roles.update', $role->id)); ?>">
                            <?php echo method_field('patch'); ?>
                            <?php echo csrf_field(); ?>
                            <div class="mb-3">
                                <label for="name" class="form-label">Name</label>
                                <input value="<?php echo e($role->name); ?>" 
                                    type="text" 
                                    class="form-control" 
                                    name="name" 
                                    placeholder="Name" required>
                            </div>
                            
                            <label for="permissions" class="form-label">Assign Permissions</label>
            
                            <table class="table table-striped">
                                <thead>
                                    <th scope="col" width="1%"><input type="checkbox" name="all_permission"></th>
                                    <th scope="col" width="20%">Name</th>
                                    <th scope="col" width="1%">Guard</th> 
                                </thead>
            
                                <?php $__currentLoopData = $permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>
                                            <input type="checkbox" onchange="checkList()"
                                            name="permission[<?php echo e($permission->user_friendly_name); ?>]"
                                            value="<?php echo e($permission->user_friendly_name); ?>"
                                            class='permission'
                                            <?php echo e(in_array($permission->user_friendly_name, $rolePermissions) 
                                                ? 'checked'
                                                : ''); ?>>
                                        </td>
                                        <td><?php echo e($permission->user_friendly_name); ?></td>
                                        <td><?php echo e($permission->guard_name); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </table>
            
                            <button type="submit" class="btn btn-primary">Save changes</button>
                            <a href="<?php echo e(route('roles.index')); ?>" class="btn btn-default">Back</a>
                        </form>
                </div>
            </div>
    </div>
</div>
    
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $(document).ready(function() {
            $('[name="all_permission"]').on('click', function() {
                if($(this).is(':checked')) {
                    $('.permission').each(function() {
                        $(this).prop('checked',true);
                    });
                } else {
                    $('.permission').each(function() {
                        $(this).prop('checked',false);
                    });
                }
                
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/itactcxg/public_html/acecredit/resources/views/roles/edit.blade.php ENDPATH**/ ?>